Package org.apache.sysds.runtime.compress.lib

# Class CLALibUnary

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibUnary

public final class CLALibUnary extends Object

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`unaryOperations(CompressedMatrixBlock m, UnaryOperator op, MatrixValue result)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### unaryOperations

public static MatrixBlock unaryOperations(CompressedMatrixBlock m, UnaryOperator op, MatrixValue result)